require 'vara/log'

module Vara
  class MD5Creator
    include Loggable

    def self.md5(path)
      expanded_path = File.expand_path(path)
      md5_file = "#{expanded_path}.md5"

      md5_string = Digest::MD5.file(expanded_path).hexdigest

      log.warn("File #{md5_file} already exists, overwriting!") if File.exist?(md5_file)
      File.open(md5_file, 'w') do |file|
        file.write(md5_string)
        log.info("Created md5 file: #{md5_file} with contents #{md5_string}")
      end

      md5_file
    end
  end
end

# Copyright (c) 2014-2015 Pivotal Software, Inc.
# All rights reserved.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
